---
# YAML configuration file

defaults:
  schedule: '30 13 * * *'
  data: '/mnt/data1/dist'
  cache: '/mnt/data2/restic-cache'
  prune_snapshots_older_than: '730d'
  s3_project: 'LXSOFT'
  s3_endpoint: 's3-fr-prevessin-1.cern.ch'
  excludes: 'snapshot.sh'

base:
  source_path: 'cern'
  s3_repository: 'base-backups-production'
  excludes: 'base.sh'

### specific configuration for each backup job ###
alma8:
  source_path: 'cern/alma/8-snapshots'
  s3_repository: 'alma8-backups-production'

alma9:
  source_path: 'cern/alma/9-snapshots'
  s3_repository: 'alma9-backups-production'

rhel8:
  source_path: 'cern/rhel/8-snapshots'
  s3_repository: 'rhel8-backups-production'

rhel9:
  source_path: 'cern/rhel/9-snapshots'
  s3_repository: 'rhel9-backups-production'

yumsnapshot:
  source_path: 'internal/yumsnapshot'
  s3_repository: 'yumsnapshot-backups-production'
  excludes: 'yumsnapshot.sh'

aims:
  data: '/aims_share'
  source_path: '/'
  s3_project: 'AIMS'
  s3_repository: 'aims-backups-production'
  excludes: 'nullexclude.sh'

koji:
  data: '/koji'
  source_path: '/'
  s3_project: 'KOJI'
  s3_repository: 'koji-backups-production'
  excludes: 'nullexclude.sh'
